package com.philisense.www.dao.impl;

import com.philisense.www.dao.EbookArticleDAO;
import com.philisense.www.mapper.EbookArticleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class EbookArticleDAOImpl implements EbookArticleDAO {
        @Autowired
        private EbookArticleMapper ebookArticleMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return ebookArticleMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return ebookArticleMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return ebookArticleMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return ebookArticleMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return ebookArticleMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return ebookArticleMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return ebookArticleMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return ebookArticleMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return ebookArticleMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return ebookArticleMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            ebookArticleMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            ebookArticleMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            ebookArticleMapper.updateBatch(list);
        }

    @Override
    public List<Map<String, Object>> timecountlist(Object map) {
        return ebookArticleMapper.timecountlist(map);
    }

    @Override
    public List<Map<String, Object>> getTopToHomePage(Map<String, Object> map) {
        return ebookArticleMapper.getTopToHomePage(map);
    }

    @Override
    public int getCountProEbookArticleByLevelCode(Map<String, Object> map) {
        return ebookArticleMapper.getCountProEbookArticleByLevelCode(map);
    }

    @Override
    public List<Map<String, Object>> getPageProEbookArticleByLevelCode(Map<String, Object> map) {
        return ebookArticleMapper.getPageProEbookArticleByLevelCode(map);
    }
}
